<?php
require_once('conexion_servicios.php');

session_start();
date_default_timezone_set("America/Bogota");

			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);//conexion		
			$conexion2 = new mysqli($host, $usuario, $password, $base_datos);//conexion			
					
		if ( isset($_SESSION['usuario']))
        {
  		
					
						
			$query_reporte_1 = $conexion2->query("SELECT * FROM tblfila inner join tblusuarios on tblfila.CedulaUsuario=tblusuarios.Cedula inner join tblfuncionario on tblfila.CedulaFunAtencion=tblfuncionario.CedulaFuncionario where tblfila.EstadoServicio=0 and tblfila.FechaHoraIngreso like "."'%".date("Y-m-d")."%' order by PrimerNombre asc");
			$array_reporte_1 = $query_reporte_1->fetch_assoc();	
				

			header("Pragma: public");
			header("Expires: 0");
			$filename = "Reporte_Diario.xls";
			header("Content-type: application/x-msdownload");
			header("Content-Disposition: attachment; filename=$filename");
			header("Pragma: no-cache");
			header("Cache-Control: must-revalidate, post-check=0, pre-check=0");

		
		}



		else{		
		
					echo '<script language = javascript>
					alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
					self.location = "login.php"
					</script>';	
		
			
		}
	
	
			

?>

<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="css/estilos1.css" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" href="imagenes/favicon.png">
	<title>Reporte general 1</title>
</head>

<body>
<header>

</header>


<div class="cuerpo">
<form class="formulario" method="POST">

	<h1><?php echo("Reporte de servicios para: ".date("Y-m-d H:i:s"))?> </h1>
	
<table>
<tr bgcolor="#CCCCCC">
  		<td width="100px"><strong><center>Fecha de registro</center></strong></td>
        <td><strong><center>Cédula Usuario</center></strong></td>
        <td><strong><center>Usuario</center></strong></td>
  		<td><strong><center>Tipo de servicio</center></strong></td>        
        <td><strong><center>Funcionario que atendió</center></strong></td>        
        <td><strong><center>Tiempo en la atención</center></strong></td>
        <td><strong><center>Es prioritario</center></strong></td>
         <td><strong><center>Observación</center></strong></td>
  
	</tr>
 <?php $contador_fondo=0;
 	
		$fondo="";
 
 ?>   
    
<?php  do { ?>

<?php $fecha1 = date_create($array_reporte_1['FechaHoraInicioSer']);
 $fecha2 = date_create($array_reporte_1['FechaHoraSalida']); ?>
 
 <?php 
 
 if(($contador_fondo%2)==0)
 {
	 $fondo="#DFEFFF";
 }
 else
 {
	 $fondo="#FFFFFF";
 }
  
 
 
 ?> 
<tr bgcolor="<?php echo ($fondo);?>">
		<td><center><?php echo $array_reporte_1['FechaHoraIngreso']; ?></center></td>
        <td><center><?php echo $array_reporte_1['CedulaUsuario']; ?></center></td>
        <td><center><?php echo $array_reporte_1['NombreApellido']; ?></center></td>
        <td><center><?php echo $array_reporte_1['CodigoRol']; ?></center></td>        
        <td><center><?php echo ($array_reporte_1['PrimerNombre']." ".$array_reporte_1['PrimerApellido']); ?></center></td>        
        <td><center><?php echo (date_diff($fecha1, $fecha2)->format('%h Horas %i Minutos'));?></center></td>
        <td><center><?php 
		
		if ($array_reporte_1['EsPrioritario']==1)
		{
			echo "SI";	
		}
		else
		{
			echo "NO";
		}
		
		?></center></td>
        
      <td><center><?php echo $array_reporte_1['Observaciones']; ?></center></td>    
        
	</tr>

	<?php $contador_fondo++;?>	
<?php } while ($array_reporte_1 = $query_reporte_1->fetch_assoc()); ?> 	
</table>

</form>
</div>
</body>
</html>